Skip to main content
GET
cURL
In order to call this endpoint your token must have write_refunds scope.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

id of the refund

Response

default - application/json
id
string
required

Id of the refund

payment_intent_id
string
required

id of the payment intent

amount
number
required

Transaction amount. Values must be passed in the base units of their currency. For example, $10.50 should be provided as 1050.

currency_code
string
required

Currency code of the amount to charge. This should be a 3-letter ISO-4217 currency code. For example, if you wish to charge 10 AED, you should pass AED. For more information on supported currencies, please visit the supported currencies page

status
enum<string>
required
Available options:
pending,
completed,
failed
created_at
string
required

Unix timestamp in milliseconds

error
object | null

Optional error